import fs from 'fs/promises'
import yaml from 'js-yaml'
import { logger } from './logger.js'

class Config {
  async load () {
    const urlsSource = await fs.readFile('./config/config.yaml', 'utf8')
    this._urls = yaml.load(urlsSource).baseUrls
    logger.trace('[Config] Config has been loaded')
  }

  get urls () {
    return this._urls || []
  }
}

export const config = new Config()

export default config
